Bug 1654608 - [RFE] Support for Port Forwarding in OVN
Summary: [RFE] Support for Port Forwarding in OVN
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 17.0 (Wallaby)
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: ffernand
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks: 1871256
TreeView+ depends on / blocked
 
Reported: 2018-11-29 08:45 UTC by Reedip
Modified: 2020-09-09 05:16 UTC (History)
15 users (show)

Fixed In Version: openstack-neutron-16.1.0-0.20200819091905.114ac0a.el8ost.noarch.rpm
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1871256 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1877447 0 None None None 2020-08-21 19:09:45 UTC
OpenStack gerrit 741303 0 None MERGED [ovn]: port forwarding -- core changes 2021-02-09 15:41:34 UTC
OpenStack gerrit 745756 0 None MERGED [ovn]: Enable port forwarding in neutron service plugins 2021-02-09 15:41:34 UTC

Description Reedip 2018-11-29 08:45:04 UTC
Description of problem:
Currently Neutron supports Port Forwarding in the North/South plane. Specific L4 Ports of the Floating IP can be directed to specific FixedIP:PortNumber of a VM , so that different services running in a VM can be isolated and can communicate with external networks easily.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
https://specs.openstack.org/openstack/neutron-specs/specs/rocky/port-forwarding.html

Comment 3 ffernand 2020-08-21 19:09:46 UTC
Feature available on osp17 as of TEST-RHOS_TRUNK-17.0-RHEL-8-20200820.n.1

openstack-tripleo-heat-templates-12.5.1-0.20200819223752.3692900.el8ost.noarch.rpm  
openstack-neutron-16.1.0-0.20200819091905.114ac0a.el8ost.noarch.rpm

Upstream Gerrit: https://review.opendev.org/#/q/topic:ovn/port_forwarding+(status:merged)

EPIC Document: https://docs.google.com/document/d/1Bb2DvOO2Odi19CKRkDZuRIUStr1UnsAZxpw3tee3Qx4/edit?usp=sharing

https://review.opendev.org/#/c/747287/6/doc/source/ovn/port_forwarding.rst


Note You need to log in before you can comment on or make changes to this bug.